| Kinetis SDK Demo Applications User Guide 1.0.0-beta Freescale Semiconductor, Inc.

- Main Page
- Related Pages
- Demos

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
i2c_rtos_freertos.c File Reference
`#include <stdio.h>`
`#include "FreeRTOS.h"`
`#include "fsl_clock_manager.h"`
`#include "board.h"`
`#include "fsl_debug_uart.h"`
`#include "fsl_i2c_master_driver.h"`
`#include "fsl_uart_driver.h"`
`#include "fsl_i2c_slave_driver.h"`
`#include "fsl_smc_manager.h"`
`#include "i2c_rtos.h"`

## Macros
#define | TASK_START_PRIO
#define | TASK_MASTER_PRIO
#define | TASK_SLAVE_PRIO
#define | TASK_SAMPLE_PRIO
#define | TASK_START_STACK_SIZE
#define | TASK_MASTER_STACK_SIZE
#define | TASK_SLAVE_STACK_SIZE
#define | TASK_SAMPLE_STACK_SIZE

## Functions
static void | task_start (void *param)
void | task_master (void *param)
void | task_slave (void *param)
void | task_sample (void *param)
| FSL_RTOS_TASK_DEFINE (task_start, TASK_START_STACK_SIZE,"start", false)
| FSL_RTOS_TASK_DEFINE (task_master, TASK_MASTER_STACK_SIZE,"master", false)
| FSL_RTOS_TASK_DEFINE (task_slave, TASK_SLAVE_STACK_SIZE,"slave", false)
| FSL_RTOS_TASK_DEFINE (task_sample, TASK_SAMPLE_STACK_SIZE,"sample", false)
void | main (void)

## Variables
uint32_t | gSlaveId
task_handler_t | hTaskStart
task_handler_t | hTaskMaster
task_handler_t | hTaskSlave
task_handler_t | hTaskSample

## Macro Definition Documentation

#define TASK_MASTER_PRIO

#define TASK_MASTER_STACK_SIZE

#define TASK_SAMPLE_PRIO

#define TASK_SAMPLE_STACK_SIZE

#define TASK_SLAVE_PRIO

#define TASK_SLAVE_STACK_SIZE

#define TASK_START_PRIO

#define TASK_START_STACK_SIZE

## Function Documentation

FSL_RTOS_TASK_DEFINE | ( | task_start | ,
|  | TASK_START_STACK_SIZE | ,
|  | "start" | ,
|  | false |
| ) |  |

FSL_RTOS_TASK_DEFINE | ( | task_master | ,
|  | TASK_MASTER_STACK_SIZE | ,
|  | "master" | ,
|  | false |
| ) |  |

FSL_RTOS_TASK_DEFINE | ( | task_slave | ,
|  | TASK_SLAVE_STACK_SIZE | ,
|  | "slave" | ,
|  | false |
| ) |  |

FSL_RTOS_TASK_DEFINE | ( | task_sample | ,
|  | TASK_SAMPLE_STACK_SIZE | ,
|  | "sample" | ,
|  | false |
| ) |  |

void main | ( | void |  | ) |

void task_master | ( | void * | param | ) |

void task_sample | ( | void * | param | ) |

task to read ADC for internal temperature

void task_slave | ( | void * | param | ) |

task for slave getting request and put response

static void task_start | ( | void * | param | ) |
| static

## Variable Documentation

uint32_t gSlaveId

task_handler_t hTaskMaster

task_handler_t hTaskSample

task_handler_t hTaskSlave

task_handler_t hTaskStart